Bug 1744979 - "microdnf --help" crashes (segfault)
Summary: "microdnf --help" crashes (segfault)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: microdnf
Version: ---
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: 8.0
Assignee: Jaroslav Rohel
QA Contact: Jan Blazek
URL:
Whiteboard:
: 1745928 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-23 12:10 UTC by Jaroslav Rohel
Modified: 2020-11-14 06:53 UTC (History)
5 users (show)

Fixed In Version: microdnf-3.0.1-3.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-05 22:22:23 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3583 None None None 2019-11-05 22:22:31 UTC

Description Jaroslav Rohel 2019-08-23 12:10:50 UTC
Description of problem:
"microdnf --help" crashes (segfault)

Version-Release number of selected component (if applicable):
microdnf-3.0.1-2.el8

How reproducible:
# microdnf --help 
Segmentation fault (core dumped [obraz paměti uložen])

Expected results:
Help is printed.

Comment 1 Jaroslav Rohel 2019-08-23 12:14:59 UTC
Fixed in upstream PR https://github.com/rpm-software-management/microdnf/pull/47

Comment 5 Karel Srot 2019-08-29 06:49:32 UTC
*** Bug 1745928 has been marked as a duplicate of this bug. ***

Comment 11 errata-xmlrpc 2019-11-05 22:22:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3583


Note You need to log in before you can comment on or make changes to this bug.